Bug 1017225 - Un-productized jars present in dtgov/rtgov/sramp deployments
Un-productized jars present in dtgov/rtgov/sramp deployments
Status: NEW
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Configuration (Show other bugs)
6.0.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: ---
Assigned To: Julian Coleman
Matej Melko
:
Depends On:
Blocks: 1038101
  Show dependency treegraph
 
Reported: 2013-10-09 09:09 EDT by Stefan Bunciak
Modified: 2015-11-02 03:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Unproductized JAR files are present in the Governance deployments. All JARs should be productized to ensure they are fully tested and stable for users.
Story Points: ---
Clone Of:
: 1038099 1038101 (view as bug list)
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-10-09 09:09:51 EDT
Description of problem:

These jars probably weren't processed by the productization (their names do not end with 'redhat' and their Manifest is not updated that they were built or provided by Red Hat).

e.g.: deployments/dtgov-ui.war/WEB-INF/lib/aopalliance-1.0.jar

It's manifest: 

Created-By: 1.6.0_24-b24 (Sun Microsystems Inc.)

Such jars are present in all overlord project jars (rtgov/dtgov/sramp).

Version-Release number of selected component (if applicable):
6.0.0.ER4

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Anne-Louise Tangring 2013-10-24 08:54:08 EDT
If this is a third party dependency, it's not a requirement for GA.

Note You need to log in before you can comment on or make changes to this bug.